<?php
class ControllerExtensionCaptchaRecaptcha extends Controller {
  public function index($error = array()) {

    $this->load->language('extension/captcha/recaptcha');

    if (isset($error['captcha'])) {
      $data['error_captcha'] = $error['captcha'];
    } else {
			$data['error_captcha'] = '';
		}

    $data['route'] = $this->request->get['route']; 

// alcher

// not shure if we need this
    $data['recaptcha_status'] = $this->config->get('captcha_recaptcha_status');
    
    $data['recaptcha_score'] = $this->config->get('captcha_recaptcha_score');
    $data['recaptcha_sitekey'] = $this->config->get('captcha_recaptcha_sitekey');

//alcher

		return $this->load->view('extension/captcha/recaptcha', $data);
  }

  public function validate() {
		
    $this->load->language('extension/captcha/recaptcha');

    if (!isset($this->request->post['recaptcha_response'])) {
      return $this->language->get('error_verify');
    }

    $verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret='.$this->config->get('captcha_recaptcha_secretkey').'&response=' . $this->request->post['recaptcha_response']);
    $recaptcha = json_decode($verifyResponse, true); 
    
    if ($recaptcha['success']  && ($recaptcha['score'] >= $this->config->get('captcha_recaptcha_score'))) {
      // Success
    } else {
      return $this->language->get('error_verify');
    }                 
  }
}
